<app-layout>
    <div class="p-4" style="padding-bottom: 0px;">
        <div align="end" >
            <button mat-raised-button color="primary" (click)="openDialog()"><mat-icon>add</mat-icon> Add New Campaign</button>
        </div>
    </div>
    <div class="p-4">
        <mat-card class="example-card mb-4" *ngFor="let campaign of campaigns; let i=index;">
            <mat-card-header>
                <div mat-card-avatar class="example-header-image" [style.background-image]="getSecure(baseUrl + campaign.brand.logo)" style="background-size: cover;"></div>
                <mat-card-title>{{campaign.title}}</mat-card-title>
                <mat-card-subtitle>{{campaign.createdDate | date}}</mat-card-subtitle>
            </mat-card-header>
            <mat-grid-list cols="12" rowHeight="200" gutterSize="10">
                <mat-grid-tile [colspan]="5" [rowspan]="1">
                    <video mat-card-image width="100%" controls>
                        <source src="{{baseUrl + campaign.video}}" type="video/mp4">
                    </video>
                </mat-grid-tile>
                <mat-grid-tile [colspan]="7" [rowspan]="1">
                    <div class="w-100">
                        <p><span>Start: {{campaign.start_date|date}}</span> <span style="float:right">End: {{campaign.end_date|date}}</span></p>
                        <mat-progress-bar
                            class="example-margin"
                            [color]="'primary'"
                            [mode]="'buffer'"
                            [value]="getProgress(campaign)">
                        </mat-progress-bar>
                    </div>
                    <br>
                    <div class="w-100">
                        <p><span>0</span> <span style="float:right">{{campaign.impressions}}</span></p>
                        <mat-progress-bar
                            class="example-margin"
                            [color]="'primary'"
                            [mode]="'buffer'"
                            [value]="getImpressionProgress(campaign)">
                        </mat-progress-bar>
                    </div>
                </mat-grid-tile>
            </mat-grid-list>
            <mat-card-actions>
                <button mat-button>LIKE</button>
                <button mat-button>SHARE</button>
            </mat-card-actions>
        </mat-card>
        <div align="center" *ngIf="!campaigns">
            <mat-spinner [diameter]="60"></mat-spinner>
        </div>
    </div>
</app-layout>
